> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List the plugins a marketplace offers

> Reads the marketplace's public git repository at its default branch. Only public https addresses are read.



## OpenAPI

````yaml api-reference/openapi.v1.json POST /plugin-marketplaces/browse
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /plugin-marketplaces/browse:
    post:
      tags:
        - plugins
      summary: List the plugins a marketplace offers
      description: >-
        Reads the marketplace's public git repository at its default branch.
        Only public https addresses are read.
      operationId: browsePluginMarketplace
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrowsePluginMarketplaceRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PluginMarketplaceResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - $ref: '#/components/schemas/PluginErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    BrowsePluginMarketplaceRequest:
      additionalProperties: false
      properties:
        url:
          description: >-
            The marketplace's public https git repository. It is read at its
            default branch: .claude-plugin/marketplace.json, else
            .agents/plugins/marketplace.json.
          maxLength: 2048
          minLength: 1
          pattern: ^https://
          type: string
      required:
        - url
      type: object
    PluginMarketplaceResponse:
      additionalProperties: false
      properties:
        marketplace:
          $ref: '#/components/schemas/PluginMarketplaceCatalog'
      required:
        - marketplace
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    PluginErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - plugin_request_invalid
            - plugin_source_address_refused
            - plugin_source_not_public
            - plugin_source_unreachable
            - plugin_source_not_found
            - plugin_source_unsupported
            - plugin_source_too_large
            - plugin_source_invalid
            - plugin_server_probe_failed
            - plugin_server_key_taken
            - plugin_name_taken
            - plugin_moved
            - plugin_update_conflicts_with_enablement
            - mcp_credential_policy_required
            - mcp_credential_policy_not_applicable
            - mcp_credential_policy_org_unavailable
          type: string
        conflicts:
          items:
            $ref: '#/components/schemas/PluginKeyHolder'
          type: array
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
        - conflicts
      type: object
    PluginMarketplaceCatalog:
      additionalProperties: false
      properties:
        commit:
          type: string
        name:
          type: string
        plugins:
          items:
            $ref: '#/components/schemas/MarketplacePlugin'
          type: array
        url:
          type: string
      required:
        - name
        - url
        - commit
        - plugins
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    PluginKeyHolder:
      additionalProperties: false
      properties:
        key:
          type: string
        plugin:
          type:
            - string
            - 'null'
        source:
          enum:
            - manual
            - aether
            - plugin
          type: string
      required:
        - key
        - source
        - plugin
      type: object
    MarketplacePlugin:
      additionalProperties: false
      properties:
        category:
          type: string
        description:
          type: string
        name:
          type: string
        unsupported_reason:
          type:
            - string
            - 'null'
      required:
        - name
        - description
        - category
        - unsupported_reason
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````